﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.Model.Object.Adjustment.AdjustmentCMSModel>

@Html.Grid(Model).Named("AllAdjustment").Columns(columns =>
{
    columns.Add(x => x.MemberName)
         .Titled("Member")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true).Filterable(true);

    columns.Add(x => x.Code)
        .Titled("Code")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Code).Filterable(true);

    columns.Add(x => x.TransactionDateDT)
        .Titled("TransactionDate")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.TransactionDateDT.ToString("dd/MM/yyyy")).Filterable(true);

    columns.Add(x => x.ExpiredDate)
        .Titled("ExpiredDate")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.ExpiredDate.ToString("dd-MM-yyyy"));

    columns.Add(x => x.Point)
        .Titled("Point")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .Filterable(true);

    columns.Add(x => x.Reason)
        .Titled("Reason")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true);

    columns.Add()
        .Encoded(false)
        .Sanitized(false)
        .SetWidth(50)
        .Css("cell-center")
        .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">View</a>", Url.Action(MVC.Adjustment.Edit(x.ID))));

}).Filterable().Sortable().WithPaging(5)

@helper IsActiveRender(bool isActive)
{
    if (isActive)
    {
        <span>True</span>
    }
    else
    {
        <span>False</span>
    }
}